Bug 752513 - Missing Obsoletes: phonon-backend-xine
Summary: Missing Obsoletes: phonon-backend-xine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: phonon-backend-gstreamer
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-09 18:10 UTC by Alex Lancaster
Modified: 2011-11-26 23:04 UTC (History)
6 users (show)

Fixed In Version: phonon-backend-gstreamer-4.5.90-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-26 23:04:02 UTC
Type: ---


Attachments (Terms of Use)

Description Alex Lancaster 2011-11-09 18:10:29 UTC
According to PackageDB and dead.package, this package is deprecated:

http://pkgs.fedoraproject.org/gitweb/?p=phonon-backend-xine.git;a=blob;f=dead.package;h=757855126afe25bcab43804c0c31abce69381c3a;hb=master

However, it still appears to be linked and depended-on by other packages. For example:

1. I upgrade from f15 -> f16.  
2. Used "package-cleanup --orphans" to find that phonon-backend-xine is blocked from f16
3. Attempt to remove package using yum:

sudo yum remove phonon-backend-xine

4. But it also tries to remove a bunch of non-blocked packages such as tellico etc.:

Dependencies Resolved

===================================================================================
 Package             Arch   Version        Repository                         Size
===================================================================================
Removing:
 phonon-backend-xine x86_64 4.4.4-3.fc15   @anaconda-InstallationRepo-201105131943.x86_64/15
                                                                             481 k
Removing for dependencies:
 kdegraphics-libs    noarch 7:4.7.2-1.fc16 @anaconda-0                       0.0  
 kdelibs             x86_64 6:4.7.2-5.fc16 @anaconda-0                        40 M
 kdemultimedia-libs  x86_64 6:4.7.2-1.fc16 @anaconda-0                       712 k
 kdepimlibs          x86_64 4.7.2-2.fc16   @anaconda-0                       8.6 M
 libkdcraw           x86_64 4.7.2-1.fc16   @anaconda-0                       1.2 M
 libkexiv2           x86_64 4.7.2-1.fc16   @anaconda-0                       1.5 M
 libkipi             x86_64 4.7.2-1.fc16   @anaconda-0                       192 k
 libksane            x86_64 4.7.2-1.fc16   @anaconda-0                       296 k
 phonon              x86_64 4.5.0-3.fc16   @anaconda-0                       645 k
 tellico             x86_64 2.3.3-2.fc16   @anaconda-0                       9.3 M

Transaction Summary
===================================================================================
Remove       11 Packages

Comment 1 Rex Dieter 2011-11-09 18:21:31 UTC
Should resolve itself once this goes stable,
https://admin.fedoraproject.org/updates/FEDORA-2011-13160

Comment 2 Kevin Kofler 2011-11-09 18:24:56 UTC
Install phonon-backend-gstreamer, then you can remove phonon-backend-xine.

phonon-backend-gstreamer needs an Obsoletes: phonon-backend-xine, this is fixed in updates-testing.

Comment 3 Fedora Update System 2011-11-09 18:26:31 UTC
phonon-backend-gstreamer-4.5.90-2.fc16, phonon-4.5.57-1.20110914.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-13160

Comment 4 Fedora Update System 2011-11-10 17:48:10 UTC
Package phonon-backend-gstreamer-4.5.90-3.fc16, phonon-4.5.57-3.20111031.fc16, libqzeitgeist-0.8.0-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing phonon-backend-gstreamer-4.5.90-3.fc16 phonon-4.5.57-3.20111031.fc16 libqzeitgeist-0.8.0-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13160
then log in and leave karma (feedback).

Comment 5 Alex Lancaster 2011-11-14 19:09:17 UTC
Obsoletes seem to work this time.

Comment 6 Fedora Update System 2011-11-26 23:04:02 UTC
phonon-backend-gstreamer-4.5.90-3.fc16, phonon-4.5.57-3.20111031.fc16, libqzeitgeist-0.8.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.